libnvme(9)

NAME
enum nvme_fid_supported_effects - FID Supported and Effects Data Structure definitions

SYNOPSIS
enum nvme_fid_supported_effects {
NVME_FID_SUPPORTED_EFFECTS_FSUPP ,
NVME_FID_SUPPORTED_EFFECTS_UDCC ,
NVME_FID_SUPPORTED_EFFECTS_NCC ,
NVME_FID_SUPPORTED_EFFECTS_NIC ,
NVME_FID_SUPPORTED_EFFECTS_CCC ,
NVME_FID_SUPPORTED_EFFECTS_UUID_SEL ,
NVME_FID_SUPPORTED_EFFECTS_SCOPE_SHIFT ,
NVME_FID_SUPPORTED_EFFECTS_SCOPE_MASK ,
NVME_FID_SUPPORTED_EFFECTS_SCOPE_NS ,
NVME_FID_SUPPORTED_EFFECTS_SCOPE_CTRL ,
NVME_FID_SUPPORTED_EFFECTS_SCOPE_NVM_SET ,
NVME_FID_SUPPORTED_EFFECTS_SCOPE_ENDGRP ,
NVME_FID_SUPPORTED_EFFECTS_SCOPE_DOMAIN ,
NVME_FID_SUPPORTED_EFFECTS_SCOPE_NSS ,
NVME_FID_SUPPORTED_EFFECTS_CDQSCP };

Constants

NVME_FID_SUPPORTED_EFFECTS_FSUPP
    FID Supported

NVME_FID_SUPPORTED_EFFECTS_UDCC
    User Data Content Change

NVME_FID_SUPPORTED_EFFECTS_NCC
    Namespace Capability Change

NVME_FID_SUPPORTED_EFFECTS_NIC
    Namespace Inventory Change

NVME_FID_SUPPORTED_EFFECTS_CCC
    Controller Capability Change

NVME_FID_SUPPORTED_EFFECTS_UUID_SEL
    UUID Selection Supported

NVME_FID_SUPPORTED_EFFECTS_SCOPE_SHIFT
    FID Scope Shift

NVME_FID_SUPPORTED_EFFECTS_SCOPE_MASK
    FID Scope Mask

NVME_FID_SUPPORTED_EFFECTS_SCOPE_NS
    Namespace Scope

NVME_FID_SUPPORTED_EFFECTS_SCOPE_CTRL
    Controller Scope

NVME_FID_SUPPORTED_EFFECTS_SCOPE_NVM_SET
    NVM Set Scope

NVME_FID_SUPPORTED_EFFECTS_SCOPE_ENDGRP
    Endurance Group Scope

NVME_FID_SUPPORTED_EFFECTS_SCOPE_DOMAIN
    Domain Scope

NVME_FID_SUPPORTED_EFFECTS_SCOPE_NSS
    NVM Subsystem Scope

NVME_FID_SUPPORTED_EFFECTS_CDQSCP
    Controller Data Queue